Skip to main content
v1

Type desktop keyboard text.

POST /v1/desktop/keyboard/type: request parameters and responses.

POST /v1/desktop/keyboard/type

Performs a health-gated xdotool type operation against the managed desktop.

Request body

Required.

application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopKeyboardTypeRequest"
  }
}

Related schemas: DesktopKeyboardTypeRequest.

Responses

200

Desktop keyboard action result

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopActionResponse"
  }
}

Related schemas: DesktopActionResponse.

400

Invalid keyboard type request

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

409

Desktop runtime is not ready

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

502

Desktop runtime health or input failed

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.